let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const searchProject = async (
  organization: string,
  userId: string,
  searchName: string
) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/search/searchProjects?searchName=${searchName}`,
      {
        method: "GET",
        headers: {
          Authorization: "Bearer <access_token>", // Replace with actual token
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "", // Coerce null to empty string
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }

    console.log("response: ", response);
    if (!response.ok) {
      console.error("Failed to Search project");
    }

    const result = await response.json();
    console.log("searchProjects: ", result);

    return result;
  } catch (error) {
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
